=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.86~),
               gettext,
               kirigami2-dev (>= 5.86~),
               libcups2-dev,
               libepoxy-dev,
               libgbm-dev,
               libkf5config-dev (>= 5.86~),
               libkf5coreaddons-dev (>= 5.86~),
               libkf5declarative-dev (>= 5.86~),
               libkf5i18n-dev (>= 5.86~),
               libkf5kio-dev (>= 5.86~),
               libkf5notifications-dev (>= 5.86~),
               libkf5plasma-dev (>= 5.86~),
               libkf5wayland-dev (>= 4:5.86~),
               libkf5widgetsaddons-dev (>= 5.86~),
               libkf5windowsystem-dev (>= 5.86~),
               libpipewire-0.3-dev,
               libqt5waylandclient5-dev,
               libwayland-dev (>= 1.15~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-wayland-protocols,
               qtbase5-dev (>= 5.15.0~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.0~),
               qtwayland5-dev-tools,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git
Rules-Requires-Root: no

Package: xdg-desktop-portal-kde
Architecture: any
Depends: xdg-desktop-portal, ${misc:Depends}, ${shlibs:Depends}
Provides: xdg-desktop-portal-backend
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).
