## xdg-desktop-portal-kde 5.23.4

=== debian/changelog ===
xdg-desktop-portal-kde (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:59:05 +0000

xdg-desktop-portal-kde (5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:19:41 +0000
