## xdg-desktop-portal-kde 5.23.5

=== debian/changelog ===
xdg-desktop-portal-kde (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:42:55 +0000
