=== debian/control ===
--- 
+++ 
@@ -34,8 +34,8 @@
                qtwayland5-dev-tools,
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
 Rules-Requires-Root: no
 
 Package: xdg-desktop-portal-kde
