## xdg-desktop-portal-kde 5.23.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "5.23.3")
+set(PROJECT_VERSION "5.23.90")
 set(PROJECT_VERSION_MAJOR 5)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
@@ -21,6 +21,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMSetupVersion)
 
 include(FeatureSummary)
 
@@ -50,8 +51,12 @@
 find_package(PlasmaWaylandProtocols REQUIRED)
 find_package(QtWaylandScanner REQUIRED)
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
+
+ecm_setup_version(${PROJECT_VERSION}
+    VARIABLE_PREFIX XDPK
+    VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h)
 
 add_subdirectory(data)
 add_subdirectory(src)
