=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               kirigami2-dev (>= 5.86~),
+               kirigami2-dev (>= 5.90.0~),
                libcups2-dev,
                libepoxy-dev,
                libgbm-dev,
-               libkf5config-dev (>= 5.86~),
-               libkf5coreaddons-dev (>= 5.86~),
-               libkf5declarative-dev (>= 5.86~),
-               libkf5i18n-dev (>= 5.86~),
-               libkf5kio-dev (>= 5.86~),
-               libkf5notifications-dev (>= 5.86~),
-               libkf5plasma-dev (>= 5.86~),
-               libkf5wayland-dev (>= 4:5.86~),
-               libkf5widgetsaddons-dev (>= 5.86~),
-               libkf5windowsystem-dev (>= 5.86~),
+               libkf5config-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5declarative-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5notifications-dev (>= 5.90.0~),
+               libkf5plasma-dev (>= 5.90.0~),
+               libkf5wayland-dev (>= 4:5.90.0~),
+               libkf5widgetsaddons-dev (>= 5.90.0~),
+               libkf5windowsystem-dev (>= 5.90.0~),
                libpipewire-0.3-dev,
                libqt5waylandclient5-dev,
                libwayland-dev (>= 1.15~),
