## xdg-desktop-portal-kde 5.24.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:29:45 +0000
