## xdg-desktop-portal-kde 5.24.1

=== debian/changelog ===
xdg-desktop-portal-kde (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:23:27 +0000
