## xdg-desktop-portal-kde 5.24.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "5.23.90")
+set(PROJECT_VERSION "5.24.2")
 set(PROJECT_VERSION_MAJOR 5)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
@@ -22,6 +22,7 @@
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
 include(ECMSetupVersion)
+include(ECMConfiguredInstall)
 
 include(FeatureSummary)
