## xdg-desktop-portal-kde 5.24.3

=== debian/changelog ===
xdg-desktop-portal-kde (5.24.3-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 19 Mar 2022 21:59:25 +0300

xdg-desktop-portal-kde (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:16:58 +0000
