## xdg-desktop-portal-kde 5.24.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.24.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
