=== debian/changelog ===
xdg-desktop-portal-kde (5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:50:48 +0100
