## xdg-desktop-portal-kde 5.24.6

=== debian/changelog ===
xdg-desktop-portal-kde (5.24.6-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.5)
  * New upstream bugfix release (5.24.6)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:07:12 +0100
