=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xdg-desktop-portal-kde
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <deltaone@debian.org>,
            Norbert Preining <norbert@preining.info>,
