## xdg-desktop-portal-kde 5.24.90

=== debian/changelog ===
xdg-desktop-portal-kde (5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)
  * Runtime depends on kio-fuse.

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:43:34 +0100
