=== debian/changelog ===
xdg-desktop-portal-kde (5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:07:56 +0100

xdg-desktop-portal-kde (5.24.90-0ubuntu2) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 20 May 2022 14:56:19 +0300
