## xdg-desktop-portal-kde 5.25.1

=== debian/changelog ===
xdg-desktop-portal-kde (5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:29:23 +0100
