## xdg-desktop-portal-kde 5.25.2

=== debian/changelog ===
xdg-desktop-portal-kde (5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:19:05 +0100
