## xdg-desktop-portal-kde 5.25.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "5.25.0")
+set(PROJECT_VERSION "5.25.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.90")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.94")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
