## xdg-desktop-portal-kde 5.26.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "5.25.5")
+set(PROJECT_VERSION "5.26.0")
 set(PROJECT_VERSION_MAJOR 5)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.94")
+set(KF5_MIN_VERSION "5.98.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -25,6 +25,7 @@
 include(KDEGitCommitHooks)
 include(ECMSetupVersion)
 include(ECMConfiguredInstall)
+include(ECMQtDeclareLoggingCategory)
 
 include(FeatureSummary)
 
@@ -81,7 +82,6 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
+ki18n_install(po)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)
