## xdg-desktop-portal-kde 5.26.2

=== debian/changelog ===
xdg-desktop-portal-kde (5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:11:58 +0000

xdg-desktop-portal-kde (5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:34:15 +0100
