=== debian/control ===
--- 
+++ 
@@ -8,33 +8,37 @@
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               kirigami2-dev (>= 5.98.0~),
+               kirigami2-dev (>= 5.102.0~),
                libcups2-dev,
                libepoxy-dev,
                libgbm-dev,
-               libkf5config-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5declarative-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5iconthemes-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5notifications-dev (>= 5.98.0~),
-               libkf5plasma-dev (>= 5.98.0~),
-               libkf5wayland-dev (>= 4:5.98.0~),
-               libkf5widgetsaddons-dev (>= 5.98.0~),
-               libkf5windowsystem-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.102.0~),
+               libkf5globalaccel-dev (>= 5.102.0~),
+               libkf5guiaddons-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5iconthemes-dev (>= 5.102.0~),
+               libkf5kio-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
+               libkf5plasma-dev (>= 5.102.0~),
+               libkf5wayland-dev (>= 4:5.102.0~),
+               libkf5widgetsaddons-dev (>= 5.102.0~),
+               libkf5windowsystem-dev (>= 5.102.0~),
                libpipewire-0.3-dev,
-               libqt5waylandclient5-dev,
+               libqt5waylandclient5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.15~),
+               libxkbcommon-x11-dev,
                pkg-kde-tools (>= 0.15.18~),
                plasma-wayland-protocols (>= 1.7.0~),
                qtbase5-dev (>= 5.15.2~),
-               qtbase5-private-dev,
+               qtbase5-private-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtwayland5-dev-tools,
-Standards-Version: 4.6.1
+               wayland-protocols (>= 1.25~),
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git
