## xdg-desktop-portal-kde 5.27.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:43 +0100
