## xdg-desktop-portal-kde 5.27.1

=== debian/changelog ===
xdg-desktop-portal-kde (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:49:07 +0000

xdg-desktop-portal-kde (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:43:10 +0000

xdg-desktop-portal-kde (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)
  * New build depend on wayland-protocols.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:32:07 +0000

xdg-desktop-portal-kde (5.26.5-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 14:20:27 +0300

xdg-desktop-portal-kde (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 19:05:11 +0000

xdg-desktop-portal-kde (5.26.4-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 21:40:20 +0300

xdg-desktop-portal-kde (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:06:00 +0000

xdg-desktop-portal-kde (5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:13:30 +0000
