## xdg-desktop-portal-kde 5.27.2

=== debian/changelog ===
xdg-desktop-portal-kde (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:00:33 +0100
